Récupérer l'épaisseur d'une pièce

vos questions concernant les API SolidWorks

Récupérer l'épaisseur d'une pièce

Messagepar Heblozas » Mer 20 Déc 2017, 15:24

Bonjour,

Je souhaiterais récupérer l'épaisseur d'une pièce ouverte dans SW par le biais d'une macro VBA.

L'épaisseur est défini lors de la première opération de tôlerie.
J'ai écrit un premier morceau de code pour appréhender les outils de l'API, mais dans ma message box, rien ne s'affiche.

Voici le code en question :
Code: Tout sélectionner
Option Explicit
Dim swApp As SldWorks.SldWorks
Dim swModel As SldWorks.ModelDoc2

Sub main()

Set swApp = Application.SldWorks
Set swModel = swApp.ActiveDoc

MsgBox swModel.GetCustomInfoValue("", "Epaisseur")

End Sub


Merci de votre aide.
Heblozas
Ewok SolidWorks
 
Messages: 1
Inscription: Mar 19 Déc 2017, 16:37

Re: Récupérer l'épaisseur d'une pièce

Messagepar liryc » Mar 02 Jan 2018, 11:41

Bonjour,

Plutôt prendre les fonctions liées à "SheetMetal" plutôt qu'une propriété personnalisée.
Voir à : Thickness Property (ISheetMetalFeatureData)
liryc
Chevalier Jedi SolidWorks
 
Messages: 479
Inscription: Ven 02 Mar 2007, 8:14
Localisation: Paris - SW2009 SP5.0


Retourner vers Questions générales sur les API

 


  • Articles en relation
    Réponses
    Vus
    Dernier message

Qui est en ligne

Utilisateurs parcourant ce forum: Aucun utilisateur enregistré et 3 invités

banniere